%bcond_with dotests

%global __tar /opt/freeware/bin/tar

%global py_major 3.9

%global python_major python%{py_major}

%global pkgname scons 

%global meta_package python3-%{pkgname}

%global python3_sitearch %(%{python_major} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(0))")

Name:           %{python_major}-%{pkgname}
Version:        4.4.0 
Release:        1
Summary:        An Open Source software construction tool 
License:        MIT
URL:            https://pypi.python.org/pypi/%{pkgname}
Source0:        https://files.pythonhosted.org/packages/source/p/%{pkgname}/SCons-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  %{python_major}-devel >= %{py_major}
BuildRequires:  %{python_major}-setuptools >= 65.2.0
Requires:       %{python_major} >= %{py_major}.13


%description
SCons is an Open Source software construction tool--that is, a build
tool; an improved substitute for the classic Make utility; a better way
to build software.  SCons is based on the design which won the Software
Carpentry build tool design competition in August 2000.

SCons "configuration files" are Python scripts, eliminating the need
to learn a new build tool syntax.  SCons maintains a global view of
all dependencies in a tree, and can scan source (or other) files for
implicit dependencies, such as files specified on #include lines.  SCons
uses MD5 signatures to rebuild only when the contents of a file have
really changed, not just when the timestamp has been touched.  SCons
supports side-by-side variant builds, and is easily extended with user-
defined Builder and/or Scanner objects.

%package -n %{meta_package}
Summary:       Meta-package for %{name}

Requires:      python3 >= %{py_major}.13
Requires:      %{name} = %{version}-%{release}
Obsoletes:      scons <= 3.1.1


%description -n %{meta_package}
This is a Meta-package for %{name} package.


%prep
%setup -q -n SCons-%{version}


%build
export PATH=/opt/freeware/bin:$PATH
%{python_major} setup.py build

%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
%{python_major} setup.py install --root %{buildroot}

mkdir -p ${RPM_BUILD_ROOT}/opt/freeware/man/man1

cp ${RPM_BUILD_ROOT}/opt/freeware/*.1 ${RPM_BUILD_ROOT}/opt/freeware/man/man1/

%check
%if %{with dotests}

#python3 -m venv python_venv
#. ./python_venv/bin/activate
#pip3 install pytest
#pip3 install hypothesis
#ulimit -d unlimited
#ulimit -n unlimited
#ulimit -m unlimited
# ulimit -f unlimited
#( python runtests.py -m 'full' -v || true )
#deactivate

%endif


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%{python3_sitearch}/*

%files -n  %{meta_package} 
%defattr(-,root,system,-)
%{_bindir}/*
%{_mandir}/man?/*


%changelog
* Wed Apr 05 2023 Aditya Kamath <Aditya.Kamath1@ibm.com> - 4.4.0-1
- scons new version upgrade for python3.9

* Wed Mar 15 2023 Aditya Kamath <Aditya.Kamath1@ibm.com> - 3.1.1-3
- Scons for python3.9

* Mon Sep 14 2020 Ayappan P <ayappap2@in.ibm.com> - 3.1.1-2
- Make scons to use /opt/freeware/bin/python3
- No files in /usr

* Wed Aug 14 2019 Reshma v Kumar <reskumar@in.ibm.com> - 3.1.1-1
- Update to latest version

* Tue Apr 25 2017 Reshma v Kumar <reskumar@in.ibm.com> - 2.5.1
- Update to latest version

* Fri Nov 18 2016 Tony Reix <tony.reix@bull.net> - 2.3.6-1
- Initial port on AIX 6.1

* Fri Nov 18 2016 Tony Reix <tony.reix@bull.net> - 2.3.4-1
- Initial port

* Wed Oct 15 2014 Michael Perzl <michael@perzl.org> - 2.3.4-1
- updated to version 2.3.4

* Mon Aug 25 2014 Michael Perzl <michael@perzl.org> - 2.3.3-1
- updated to version 2.3.3

* Mon Aug 25 2014 Michael Perzl <michael@perzl.org> - 2.3.2-1
- updated to version 2.3.2

* Thu Mar 27 2014 Michael Perzl <michael@perzl.org> - 2.3.1-1
- updated to version 2.3.1

* Mon Feb 10 2014 Michael Perzl <michael@perzl.org> - 2.3.0-1
- updated to version 2.3.0

* Tue Jan 08 2013 Michael Perzl <michael@perzl.org> - 2.2.0-1
- updated to version 2.2.0

* Wed Jul 18 2012 Michael Perzl <michael@perzl.org> - 2.1.0-1
- updated to version 2.1.0

* Mon Nov 22 2010 Michael Perzl <michael@perzl.org> - 2.0.1-1
- updated to version 2.0.1

* Mon Nov 22 2010 Michael Perzl <michael@perzl.org> - 1.3.1-1
- updated to version 1.3.1

* Mon Mar 29 2010 Michael Perzl <michael@perzl.org> - 1.3.0-1
- first version for AIX V5.1 and higher
